﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Shapes;
using System.Windows.Controls.Primitives;

namespace VSS2XGUI.Controls
{
    public class KeyboardButton : ToggleButton 
    {
        public static readonly DependencyProperty KeyStateProperty = DependencyProperty.Register(
            "KeyState",
            typeof(KeyStates),
            typeof(KeyboardButton),
            new PropertyMetadata(KeyStates.None));

        public KeyStates KeyState
        {
            get { return (KeyStates)GetValue(KeyStateProperty); }
            set { SetValue(KeyStateProperty, value); }
        }
    }

    public enum KeyStates
    {
        None,
        Off,
        Green,
        Amber,
        Red
    }
}
